> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List filesystems

> Lists all the filesystems from a team.



## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /storage/filesystems
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /storage/filesystems:
    get:
      tags:
        - Filesystem Storage
      summary: List filesystems
      description: Lists all the filesystems from a team.
      operationId: get-storage-filesystems
      parameters:
        - name: filter[project]
          in: query
          required: false
          description: The project ID or Slug to filter by
          examples:
            Success:
              value: small-rubber-shirt
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/filesystems'
              examples:
                Success:
                  value:
                    data:
                      - id: fs_6059EqYkOQj8p
                        type: filesystems
                        attributes:
                          name: Intelligent Bronze Bench
                          size_in_gb: 1500
                          created_at: '2026-01-14T15:57:07.743Z'
                          project:
                            id: proj_695BdKNeOevVo
                            name: Synergistic Bronze Wallet
                            slug: synergistic-bronze-wallet
                            description: Mediocre Bronze Computer
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing:
                              subscription_id: null
                              type: Normal
                              method: Normal
                            stats:
                              databases: 0
                              ip_addresses: 0
                              prefixes: 0
                              servers: 0
                              storages: 1
                              virtual_machines: 0
                              vlans: 0
                          team:
                            id: team_lV9Xe2AAK5CbMgGbpPYLskLRXyV
                            name: 601 Team
                            slug: 601-team
                            description: 601 Team
                            address: 20590 Deckow Divide, Lake Boris, NC 87947
                            status: verified
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: BRL
                              name: Brazilian Real
                              currency_id: null
                      - id: fs_6VE1Wd37dXnZJ
                        type: filesystems
                        attributes:
                          name: Gorgeous Rubber Bench
                          size_in_gb: 1500
                          created_at: '2026-01-14T15:57:07.758Z'
                          project:
                            id: proj_yQrJdNm5O30gv
                            name: Heavy Duty Copper Clock
                            slug: heavy-duty-copper-clock
                            description: Small Aluminum Shoes
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing:
                              subscription_id: null
                              type: Normal
                              method: Normal
                            stats:
                              databases: 0
                              ip_addresses: 0
                              prefixes: 0
                              servers: 0
                              storages: 1
                              virtual_machines: 0
                              vlans: 0
                          team:
                            id: team_lV9Xe2AAK5CbMgGbpPYLskLRXyV
                            name: 601 Team
                            slug: 601-team
                            description: 601 Team
                            address: 20590 Deckow Divide, Lake Boris, NC 87947
                            status: verified
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: BRL
                              name: Brazilian Real
                              currency_id: null
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.filesystem_storage.list_filesystems(filter_project="small-rubber-shirt")

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.FilesystemStorage.ListFilesystems(ctx, latitudeshgosdk.Pointer(\"small-rubber-shirt\"))\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.Filesystems != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.filesystemStorage.listFilesystems({
                filterProject: "small-rubber-shirt",
              });

              console.log(result);
            }

            run();
components:
  schemas:
    filesystems:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/filesystem_data'
        meta:
          type: object
    filesystem_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - filesystems
        attributes:
          type: object
          properties:
            name:
              type: string
            size_in_gb:
              type: integer
            storage_class:
              type: string
              enum:
                - standard
                - high_performance
              nullable: true
              x-speakeasy-name-override: FilesystemStorageClass
            created_at:
              type: string
              format: date-time
              nullable: true
            project:
              $ref: '#/components/schemas/project_include'
            team:
              $ref: '#/components/schemas/team_include'
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            databases:
              type: integer
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            storages:
              type: integer
            virtual_machines:
              type: integer
            vlans:
              type: integer
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        currency:
          type: object
          properties:
            id:
              type: string
            code:
              type: string
            name:
              type: string
            currency_id:
              type: integer
              nullable: true
        status:
          type: string
          nullable: true
        feature_flags:
          type: array
          items:
            type: string
        limits:
          type: object
          properties:
            bare_metal:
              type: integer
              nullable: true
            bare_metal_gpu:
              type: integer
              nullable: true
            virtual_machine:
              type: integer
              nullable: true
            virtual_machine_gpu:
              type: integer
              nullable: true
            elastic_ip:
              type: integer
              nullable: true
            virtual_network:
              type: integer
              nullable: true
            database:
              type: integer
              nullable: true
            filesystem:
              type: integer
              nullable: true
            block_storage:
              type: integer
              nullable: true
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````